#include <qpe/qpeapplication.h>

extern "C" {
#include "main.h"
#include "shared.h"
#include "display.h"
}

#include "displaywidget.h"

void display_start(shared_img *shptr, Pilot *pilot) {
    QPEApplication qa(pilot->argc, pilot->argv);
    DisplayWidget mw(shptr, pilot);

    qa.showMainWidget(&mw);
    qa.exec();
}
